import React, { Component } from "react";
import ReactDOM from "react-dom";
import { IntlProvider } from "react-intl";
import { MuiThemeProvider } from "@material-ui/core";
import { MuiPickersUtilsProvider } from "@material-ui/pickers";
import MomentUtils from "@date-io/moment";
import FamilyOverview from "./FamilyOverview";

import theme from "./theme";

class App extends Component {
  render() {
    return (
      <MuiThemeProvider theme={theme}>
        <MuiPickersUtilsProvider utils={MomentUtils}>
          <IntlProvider locale="en">
            <FamilyOverview />
          </IntlProvider>
        </MuiPickersUtilsProvider>
      </MuiThemeProvider>
    );
  }
}

ReactDOM.render(<App />, document.querySelector("#root"));
